(function ($) {
	"use strict";

    jQuery(document).ready(function($){
         // ====== home slider ====== //
        $(".slider_active").owlCarousel({
            items:1,
            loop:true,
            nav:true,
            smartSpeed: 1000,
            dots:true,
            autoplay:true,
            navText: ['<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>'],
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                1000: {
                    items: 1
                }
            }
        });

        // ====== Hardwood slider ====== //
        $(".manchester_img_slide").owlCarousel({
            items:1,
            loop:true,
            nav:true,
            smartSpeed: 1000,
            dots:true,
            autoplay:true,
            navText: ['<i class="fa fa-angle-left"></i>', '<i class="fa fa-angle-right"></i>'],
            responsiveClass: true,
            responsive: {
                0: {
                    items: 1
                },
                600: {
                    items: 1
                },
                1000: {
                    items: 1
                }
            }
        });
        // ====== sticky nav ====== //
        $(window).on('scroll', function () {
            var scroll = $(window).scrollTop();
            if (scroll < 245) {
                $("#header_sticky").removeClass("sticky_bar");
            } else {
                $("#header_sticky").addClass("sticky_bar");
            }
        });

        // ====== scroll to top ====== //
        $(window).scroll(function() {
            if ($(this).scrollTop() > 100) {
                $('.back_to_top').fadeIn('slow');
            } else {
                $('.back_to_top').fadeOut('slow');
            }
        });
        $('.back_to_top').click(function() {
            $('html, body').animate({
                scrollTop: 0
            }, 1500, 'easeInOutExpo');
            return false;
        }); 
        

    });

   jQuery(window).load(function(){
    // ====== body loader ====== //
    $(".preloader_wrap").fadeOut(5000);
    $(".preloader_wrap").fadeOut(8000);

   });

}(jQuery));	